package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.storage.StorageGroupModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface StorageGroupProvider extends SuperProvider {
    default public BocloudResult list() {
        return new BocloudResult(false, "尚未实现");
    }

    default public BocloudResult create(StorageGroupModel storageGroup) {
        return new BocloudResult(false, "尚未实现");
    }

    default public BocloudResult modify(StorageGroupModel storageGroup) {
        return new BocloudResult(false, "尚未实现");
    }

    default public BocloudResult remove(StorageGroupModel storageGroup) {
        return new BocloudResult(false, "尚未实现");
    }

    default public BocloudResult detail(String groupId) {
        return new BocloudResult(false, "尚未实现");
    }

    default public BocloudResult addMembers(StorageGroupModel storageGroup) {
        return new BocloudResult(false, "尚未实现");
    }

    default public BocloudResult removeMembers(StorageGroupModel storageGroup) {
        return new BocloudResult(false, "尚未实现");
    }
}
